#include "TestFramework.h"
#include "TestUtils.h"

#include "AudioSample.h"
#include "AudioSynth.h"
#include "AudioDevice.h"
#include "WasapiInterface.h"

TEST_CASE(TestWasapiInterface, "audio")
{
    WasapiInterface audio_interface;
    auto device = AudioDevice::Create();

    AudioSynth synth;
    const auto sample = synth.getSineWave(240, 5);

    audio_interface.play(device.get(), sample.get(), 1000);
};
